package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumSupplierSyncStatus {
    //	最近一次同步状态, 0 - 未处理; 1 - 通过; 2 - 未通过
//    sync_update(-1, "等待重新同步"),
    sync_wait(0, " 未处理"),
    sync_success(1, "通过"),
    sync_fail(2, "未通过"),
    ;

    public static EnumSupplierSyncStatus getEnum(Integer code) {
        for (EnumSupplierSyncStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumSupplierSyncStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
