package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.9 会员卡内容更新事件
 */
@Component
public class CardUpdateMemberCardHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         * <xml>
         *   <ToUserName><![CDATA[gh_9e1765b5568e]]></ToUserName>
         *     <FromUserName><![CDATA[ojZ8YtyVyr30HheH3CM73y7h4jJE]]></FromUserName>
         *     <CreateTime>1445507140</CreateTime>
         *     <MsgType><![CDATA[event]]></MsgType>
         *     <Event><![CDATA[update_member_card]]></Event>
         *     <CardId><![CDATA[pjZ8Ytx-nwvpCRyQneH3Ncmh6N94]]></CardId>
         *     <UserCardCode><![CDATA[485027611252]]></UserCardCode>
         *     <ModifyBonus>3</ModifyBonus>
         *     <ModifyBalance>0</ModifyBalance>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_UPDATE_MEMBER_CARD)) {
        }
        return null;
    }

}
