package com.iformall.service.toutiao.miniapp;

import me.chanjar.weixin.common.error.WxErrorException;

import java.io.File;

/**
 * <pre>
 * 二维码相关操作接口.
 *
 * </pre>
 *
 * @author <a href="https://github.com/binarywang">Binary Wang</a>
 */
public interface TtMaQrcodeService {

  String GET_TTACODE_URL = "https://developer.toutiao.com/api/apps/qrcode";


  /**
   * 接口A: 获取小程序码.
   *
   * @param path  不能为空，最大长度 128 字节
   * @param width 默认430 二维码的宽度
   * @return 文件对象
   * @throws WxErrorException 异常
   */
  File createTtaCode(String appname, String path, int width) throws WxErrorException;


}
