package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.5 核销事件推送
 */
@Component
public class CardUserConsumeCardHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         * <xml>
         *     <ToUserName> <![CDATA[gh_fc0a06a20993]]> </ToUserName>
         *     <FromUserName> <![CDATA[oZI8Fj040-be6rlDohc6gkoPOQTQ]]> </FromUserName>
         *     <CreateTime>1472549042</CreateTime>
         *     <MsgType> <![CDATA[event]]> </MsgType>
         *     <Event> <![CDATA[user_consume_card]]> </Event>
         *     <CardId> <![CDATA[pZI8Fj8y-E8hpvho2d1ZvpGwQBvA]]> </CardId>
         *     <UserCardCode> <![CDATA[452998530302]]> </UserCardCode>
         *     <ConsumeSource> <![CDATA[FROM_API]]> </ConsumeSource>
         *     <LocationName> <![CDATA[]]> </LocationName>
         *     <StaffOpenId> <![CDATA[oZ********nJ3bPJu_Rtjkw4c]]> </StaffOpenId>
         *     <VerifyCode> <![CDATA[]]> </VerifyCode>
         *     <RemarkAmount> <![CDATA[]]> </RemarkAmount>
         *     <OuterStr> <![CDATA[xxxxx]]> </OuterStr>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_USER_CONSUME_CARD)) {
        }
        return null;
    }

}
