package com.iformall.service.wechat.handler;

import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.common.session.WxSessionManager;
import me.chanjar.weixin.mp.api.WxMpService;
import me.chanjar.weixin.mp.bean.message.WxMpXmlMessage;
import me.chanjar.weixin.mp.bean.message.WxMpXmlOutMessage;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @author Stormeye Wu
 * 2.7 进入会员卡事件推送
 */
@Component
public class CardUserViewCardHandler extends AbstractHandler {

    @Override
    public WxMpXmlOutMessage handle(WxMpXmlMessage wxMessage,
                                    Map<String, Object> context, WxMpService wxMpService,
                                    WxSessionManager sessionManager) {
        /**
         * <xml>
         *     <ToUserName> <![CDATA[gh_fcxxxx6a20993]]> </ToUserName>
         *     <FromUserName> <![CDATA[oZI8Fj040-xxxxx6gkoPOQTQ]]> </FromUserName>
         *     <CreateTime>1467811138</CreateTime>
         *     <MsgType> <![CDATA[event]]> </MsgType>
         *     <Event> <![CDATA[user_view_card]]> </Event>
         *     <CardId> <![CDATA[pZI8Fj2ezBbxxxxxT2UbiiWLb7Bg]]> </CardId>
         *     <UserCardCode> <![CDATA[4xxxxxxxx8558]]> </UserCardCode>
         *     <OuterStr> <![CDATA[12b]]> </OuterStr>
         * </xml>
         */
        String appId = wxMpService.getWxMpConfigStorage().getAppId();
        if(wxMessage.getEvent().equalsIgnoreCase(WxConsts.EventType.CARD_USER_VIEW_CARD)) {
        }
        return null;
    }

}
